# a52bin is broken in 0.4.9-pre1
%define a52bin  0

Summary: 	A digital VCR and streaming server
Name: 		ffmpeg
Version: 	0.4.9
Release: 	0.lvn.0.5.pre1.2
Epoch: 		0
License: 	GPL
Group: 		Applications/Multimedia
URL: 		http://ffmpeg.sourceforge.net/
Source0: 	http://download.sourceforge.net/ffmpeg/ffmpeg-0.4.9-pre1.tar.gz
Patch0: 	%{name}-nostrip.patch
Patch1: 	%{name}-sharedpp.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	zlib-devel lame-devel libvorbis-devel faad2-devel SDL-devel
BuildRequires:	imlib2-devel tetex %{__perl}
Requires:       libfaad.so.0
%if %{a52bin}
Requires:       liba52.so.0
%endif
Provides:	libavcodec.so libavformat.so
Obsoletes:	libpostproc < 0:1.0-0.lvn.0.14

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

# ----------------------------------------------------------------------------

%description
FFMpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.

%description devel
FFMpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.
This package contains development files for %{name}

# ----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-pre1
%patch0 -p1
%patch1 -p1

# ----------------------------------------------------------------------------

# TODO: faac
%build
%configure \
%ifarch %{ix86} x86_64 ia64
  --cpu=x86 \
%endif
  --enable-mp3lame \
  --enable-vorbis \
  --enable-faad \
  --enable-faadbin \
  --enable-a52 \
%if %{a52bin}
  --enable-a52bin \
%endif
  --enable-pp \
  --enable-shared-pp \
  --enable-shared \
  --enable-gpl \
  --disable-debug \
  --disable-opts

# Avoid RPATH from sdl-config on < FC2
%{__perl} -pi -e 's|\s*-Wl,-rpath,%{_libdir}(?=\s)||' config.mak

unset CFLAGS # work around a bug in make < 3.80 (CFLAGS comes from %%configure)
make -C libavcodec/libpostproc # yuck
make %{?_smp_mflags}

# ----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __doc
%makeinstall # no DESTDIR support
cp -a doc __doc
rm -f __doc/{Makefile,*.{1,pl,texi}}
%makeinstall -C libavcodec/libpostproc # yuck
ln -s libpostproc.so.0.0.1 $RPM_BUILD_ROOT%{_libdir}/libpostproc.so.0

# ----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# ----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING CREDITS Changelog README __doc/*.*
%{_bindir}/ffmpeg
%{_bindir}/ffserver
%{_bindir}/ffplay
%{_libdir}/vhook
%{_libdir}/libavcodec*.so
%{_libdir}/libavformat*.so
%{_libdir}/libpostproc.so.*
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_includedir}/postproc
%{_libdir}/libpostproc.so

# ----------------------------------------------------------------------------

%changelog
* Sat Sep 11 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.4.9-0.lvn.0.5.pre1
- Bundle libpostproc in the "main" packages (bug 255).

* Thu Sep  2 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.4.9-0.lvn.0.4.pre1
- Avoid RPATH from sdl-config on < FC2.

* Thu Sep  2 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.4.9-0.lvn.0.3.pre1
- Don't disable MMX explicitly on any arch, it seems to be detected at runtime.
- Pass explicit cpu=x86 to configure for ix86, x86_64 and ia64.
- Unset CFLAGS before running make to work around a make < 3.80 bug (bug 255).
- BuildRequire tetex; texi2html is needed to build the docs.

* Tue Aug 31 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.4.9-0.lvn.0.2.pre1
- Try to be sure to link with libpostproc from this source tree (bug 255).
- Exclude *.texi from docs.

* Thu Jul 29 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.4.9-0.lvn.0.1.pre1
- Update to 0.4.9-pre1, libpostproc moves here.
- Change license to GPL due to GPL'd parts being included.
- Disable runtime dlopen()'d liba52, it's currently broken.
- Honor $RPM_OPT_FLAGS (--disable-debug, --disable-opts).
- Really prevent stripping in "make install".
- Update list of archs that have MMX.

* Fri May 21 2004 Dams <anvil[AT]livna.org> - 0:0.4.8-0.lvn.5
- Added URL in Source0

* Sun Nov 23 2003 Dams <anvil[AT]livna.org> 0:0.4.8-0.lvn.4
- BuildRequires:imlib2-devel

* Sat Oct 18 2003 Dams <anvil[AT]livna.org> 0:0.4.8-0.fdr.3
- Rebuild

* Thu Oct 16 2003 Dams <anvil[AT]livna.org> 0:0.4.8-0.fdr.2
- Re-added Provides for libavcodec.so and libavformat.so

* Thu Oct 16 2003 Dams <anvil[AT]livna.org> 0:0.4.8-0.fdr.1
- Include more docs

* Mon Oct 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.8-0.fdr.1
- Update to 0.4.8.

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:0.4.7-0.fdr.0.1.cvs20030712
- Removed comment after scriptlets

* Mon Jul 14 2003 Dams <anvil[AT]livna.org> 0:0.4.7-0.fdr.0.0.cvs20030712
- Applied spec file patch from Ville Skyttä (bug #448 comment #6)
- Added Provides:libavformat.so
- Added libavformat in file section

* Sat Jul 12 2003 Dams <anvil[AT]livna.org> 0:0.4.7-0.fdr.0.0.cvs20030712
- Updated snapshot

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:0.4.7-0.fdr.0.0.cvs20030707
- Updated to cvs version 20030707
- Updated patch to not strip binaries
- Temporary disabling MMX as it make the build failed
- Added missing unowned directory
- Removed URL in Source0

* Sun May 18 2003 Dams <anvil[AT]livna.org> 0:0.4.6-0.fdr.4
- Removed BuildRequires for a52dec-devel
- Added Requires a52dec
- Change License

* Sat May 10 2003 Dams <anvil[AT]livna.org> 0:0.4.6-0.fdr.3
- Changed url in Source0
- Dont strip binaries/libraries
- Dont include doc/Makefile

* Sat May 10 2003 Dams <anvil[AT]livna.org> 0:0.4.6-0.fdr.2
- post/postun scriplets
- Now providing libavcodec.so

* Sat May 10 2003 Dams <anvil[AT]livna.org> 
- Initial build.
